#
# spec file for package pop
#
# Copyright (c) 2024 SUSE LLC
# Copyright (c) specCURRENT_YEAR SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           pop
Version:        0.2.0
Release:        3.4
Summary:        Program to send emails from a terminal
License:        MIT
Group:          Productivity/Networking/Email/Utilities
URL:            https://github.com/charmbracelet/pop
Source:         %{name}-%{version}.tar.xz
Source1:        vendor.tar.gz
BuildRequires:  zstd
BuildRequires:  golang(API) >= 1.21

%description
A program to send emails from a terminal.
To use pop, a RESEND_API_KEY is required, or an SMTP host needs to be
configured.

%prep
%autosetup -a1

%build
export GOWORK=off

%ifnarch ppc64
export GOFLAGS="-buildmode=pie"
%endif

go build

%install
# Install the binary.
install -D -m 0755 %{name} "%{buildroot}/%{_bindir}/%{name}"

%check
# execute the binary as a basic check
./%{name} --help

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
* Sat Nov 30 2024 Sai Karthik Karra <kskarthik@disroot.org>
- build: disable pie flag for ppc64 arch
* Tue Jun 25 2024 Sai Karthik Karra <kskarthik@disroot.org>
- Bump release version to 1
- spec: Remove buildmode=vendor as it is the default behaviour since go >= 1.14
- spec: Bump BuildRequires as per project's go.mod
* Sat Jun  1 2024 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase for descriptions.
* Fri May 31 2024 Sai Karthik Karra <kskarthik@disroot.org>
  This release includes our most requested feature, SMTP support.
  With Pop v0.2.0, you can now send emails using your own SMTP server configuration.
  To get started, export the following environment variables:
  export POP_SMTP_HOST=smtp.gmail.com
  export POP_SMTP_PORT=587
  export POP_SMTP_USERNAME=azure.diamond@gmail.com
  export POP_SMTP_PASSWORD=hunter2
  Then, run pop and send emails like you normally would:
